package p11_pliki;

import java.io.BufferedReader;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

public class PonumerujLinie1 {

    public static void main(String[] args) {
        try(BufferedReader input = Files.newBufferedReader(Paths.get("pliki/pan_tadeusz.txt"))) {
            String linia;
            int nr = 0;
            while((linia = input.readLine()) != null) {
                System.out.println(++nr + ": " + linia);
            }
            System.out.println("\nŁącznie wszystkich linii: " + nr);
        } catch(IOException e) {
            e.printStackTrace();
        }
    }

}
